#include <iostream>

using namespace std;

int main()
{
    int t;
    cin >> t;
    for(int i=0;i<t;i++){
        int n,m;
        cin>> n>>m;
    for(int i=0;i<2;i++){
        for(int j=0;j<n;j++){
            for (int k=0;k<m;k++){
    int broj;
    cin>>broj;
    }
        }
            }
    cout<<"NE";
    }
    return 0;
}